package paymentapp

import (
	"context"

	"git.gocasts.ir/ebhomengo/niki/pkg/database"
)

type App struct {
}

func Setup(ctx context.Context, cfg Config, conn *database.Database) (*App, error) {

	//TODO Setup

	return &App{}, nil
}

func (a *App) Start() error {
	return nil
}

func (a *App) Stop(ctx context.Context) error {
	return nil
}
